{% set public_port = 443 if graylog_http_enable_tls else 80 %}
# server entry provided by "jdauphant.nginx"

    listen *:{{ public_port }} {% if graylog_http_enable_tls %}ssl{% endif %};
    server_name  localhost;
    proxy_buffer_size 128k;
    proxy_buffers 4 256k;
    proxy_busy_buffers_size 256k;

{% if graylog_http_enable_tls %}
    ssl_certificate       {{ graylog_http_tls_cert_file }};
    ssl_certificate_key   {{ graylog_http_tls_key_file }};
    ssl_protocols         SSLv3 TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers           HIGH:!aNULL:!MD5;
    ssl_session_cache     shared:SSL:20m;
    ssl_session_timeout   4h;
{% endif %}

{% if graylog_oauth2_proxy_enabled %}
    location /oauth2/ {
        proxy_pass http://127.0.0.1:4180;
        proxy_set_header Host  $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Scheme $scheme;
        proxy_set_header X-Auth-Request-Redirect $request_uri;

    }

    location = /oauth2/auth {
        proxy_pass       http://127.0.0.1:4180;
        proxy_set_header Host             $host;
        proxy_set_header X-Real-IP        $remote_addr;
        proxy_set_header X-Scheme         $scheme;
        # nginx auth_request includes headers but not body
        proxy_set_header Content-Length   "";
        proxy_pass_request_body           off;
    }

{% endif %}

    location / {
        {% if graylog_oauth2_proxy_enabled -%}
        satisfy any;
        allow 127.0.0.1;
        deny all;
        auth_request /oauth2/auth;
        error_page 401 = /oauth2/sign_in;

        auth_request_set $user $upstream_http_x_auth_request_preferred_username;
        auth_request_set $email $upstream_http_x_auth_request_email;
        auth_request_set $groups $upstream_http_x_auth_request_groups;
        proxy_set_header X-User $user;
        proxy_set_header X-Email $email;
        proxy_set_header X-Groups $groups;

        auth_request_set $auth_cookie $upstream_http_set_cookie;
        add_header Set-Cookie $auth_cookie;
        {% endif %}

        proxy_set_header X-Forwarded-Host $host:$server_port;
        proxy_set_header X-Forwarded-Server $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Graylog-Server-URL {% if graylog_http_enable_tls %}https{% else %}http{% endif %}://$host;
        proxy_pass http://localhost:9000;
    }
